### Method

# Ide Pipeline add_log_observer

#### Declaration

    guint
    ide_pipeline_add_log_observer (
      IdePipeline* self,
      IdeBuildLogObserver observer,
      gpointer observer_data,
      GDestroyNotify observer_data_destroy
    )

#### Description

No description available.

#### Parameters

`observer` | `IdeBuildLogObserver`
| No description available.
`observer_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`observer_data_destroy` | `GDestroyNotify`
| No description available.

#### Return value

Returns: | `guint`
| No description available.